{% extends 'Default/backend.html.twig' %}
{% block main_content %}
  <section id="intro" class="container px-4 my-4">
    <div class="row">
      <div class="col-lg-12 px-lg-4 py-lg-2">
        <h2>
          {% if admin_user.createdAt %}
            {{ ('nav.admin.edit_administrator') | trans }}: {{ admin_user.fullName }}
          {% else %}
            {{ ('nav.admin.create_new_administrator') | trans }}
          {% endif %}
        </h2>
      </div>

      <div class="col-lg-12 px-lg-4 py-lg-2 mt-4">
        {{ form_start(form) }}
        <div class="row">
          <div class="col-12 col-md-6">
            {{ form_row(form.nome) }}
          </div>
          <div class="col-12 col-md-6">
            {{ form_row(form.cognome) }}
          </div>
        </div>

        <div class="row">
          <div class="col-12 col-md-6">
            {{ form_row(form.username) }}
          </div>
          <div class="col-12 col-md-6">
            {{ form_row(form.email) }}
          </div>
        </div>

        {{ form_row(form.enabled) }}

        <div class="row mt-3">
          <div class="col-12 text-right">
            <a class="btn btn-outline-secondary"
               href="{{ path('admin_administrator_users_index') }}">{{ 'webhook.back_to_list' | trans() }}
            </a>
            {% if admin_user.createdAt %}
              <a class="btn btn-outline-primary"
                 href="{{ path('security_reset_operator_password', { 'user': admin_user.id }) }}">{{ 'security.password_reset' | trans() }}
              </a>
            {% endif %}
            <button name="save" type="submit" value="save" class="btn btn-primary ml-1">{{ 'salva'|trans }}</button>
          </div>
        </div>
        {{ form_end(form) }}
      </div>
    </div>
  </section>
{% endblock %}
